aboutsummaryrefslogtreecommitdiff
path: root/tests/functional/zstd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/functional/zstd.sh')
-rw-r--r--tests/functional/zstd.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/functional/zstd.sh b/tests/functional/zstd.sh
new file mode 100644
index 000000000..ba7c20501
--- /dev/null
+++ b/tests/functional/zstd.sh
@@ -0,0 +1,28 @@
+source common.sh
+
+clearStore
+clearCache
+
+cacheURI="file://$cacheDir?compression=zstd"
+
+outPath=$(nix-build dependencies.nix --no-out-link)
+
+nix copy --to $cacheURI $outPath
+
+HASH=$(nix hash path $outPath)
+
+clearStore
+clearCacheCache
+
+nix copy --from $cacheURI $outPath --no-check-sigs
+
+if ls $cacheDir/nar/*.zst &> /dev/null; then
+ echo "files do exist"
+else
+ echo "nars do not exist"
+ exit 1
+fi
+
+HASH2=$(nix hash path $outPath)
+
+[[ $HASH = $HASH2 ]]